ISMRMRD: ISMRMRD::Image< T > Class Template Reference

ISMRMRD ISMRM Raw Data Format

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | Friends | List of all members
ISMRMRD::Image< T > Class Template Reference
C++ API

MR Image type. More...

`#include <ismrmrd.h>`

Collaboration diagram for ISMRMRD::Image< T >:
[legend]

## Public Member Functions
| Image (uint16_t matrix_size_x=0, uint16_t matrix_size_y=1, uint16_t matrix_size_z=1, uint16_t channels=1)
| Image (const Image &other)
Image & | operator= (const Image &other)
void | resize (uint16_t matrix_size_x, uint16_t matrix_size_y, uint16_t matrix_size_z, uint16_t channels)
uint16_t | getMatrixSizeX () const
void | setMatrixSizeX (uint16_t matrix_size_x)
uint16_t | getMatrixSizeY () const
void | setMatrixSizeY (uint16_t matrix_size_y)
uint16_t | getMatrixSizeZ () const
void | setMatrixSizeZ (uint16_t matrix_size_z)
uint16_t | getNumberOfChannels () const
void | setNumberOfChannels (uint16_t channels)
void | setFieldOfView (float fov_x, float fov_y, float fov_z)
float | getFieldOfViewX () const
void | setFieldOfViewX (float f)
float | getFieldOfViewY () const
void | setFieldOfViewY (float f)
float | getFieldOfViewZ () const
void | setFieldOfViewZ (float f)
void | setPosition (float x, float y, float z)
float | getPositionX () const
void | setPositionX (float x)
float | getPositionY () const
void | setPositionY (float y)
float | getPositionZ () const
void | setPositionZ (float z)
void | setReadDirection (float x, float y, float z)
float | getReadDirectionX () const
void | setReadDirectionX (float x)
float | getReadDirectionY () const
void | setReadDirectionY (float y)
float | getReadDirectionZ () const
void | setReadDirectionZ (float z)
void | setPhaseDirection (float x, float y, float z)
float | getPhaseDirectionX () const
void | setPhaseDirectionX (float x)
float | getPhaseDirectionY () const
void | setPhaseDirectionY (float y)
float | getPhaseDirectionZ () const
void | setPhaseDirectionZ (float z)
void | setSliceDirection (float x, float y, float z)
float | getSliceDirectionX () const
void | setSliceDirectionX (float x)
float | getSliceDirectionY () const
void | setSliceDirectionY (float y)
float | getSliceDirectionZ () const
void | setSliceDirectionZ (float z)
void | setPatientTablePosition (float x, float y, float z)
float | getPatientTablePositionX () const
void | setPatientTablePositionX (float x)
float | getPatientTablePositionY () const
void | setPatientTablePositionY (float y)
float | getPatientTablePositionZ () const
void | setPatientTablePositionZ (float z)
uint16_t | getVersion () const
ISMRMRD_DataTypes | getDataType () const
uint32_t | getMeasurementUid () const
void | setMeasurementUid (uint32_t measurement_uid)
uint16_t | getAverage () const
void | setAverage (uint16_t average)
uint16_t | getSlice () const
void | setSlice (uint16_t slice)
uint16_t | getContrast () const
void | setContrast (uint16_t contrast)
uint16_t | getPhase () const
void | setPhase (uint16_t phase)
uint16_t | getRepetition () const
void | setRepetition (uint16_t repetition)
uint16_t | getSet () const
void | setSet (uint16_t set)
uint32_t | getAcquisitionTimeStamp () const
void | setAcquisitionTimeStamp (uint32_t acquisition_time_stamp)
uint32_t | getPhysiologyTimeStamp (unsigned int stamp_id) const
void | setPhysiologyTimeStamp (unsigned int stamp_id, uint32_t value)
uint16_t | getImageType () const
void | setImageType (uint16_t image_type)
uint16_t | getImageIndex () const
void | setImageIndex (uint16_t image_index)
uint16_t | getImageSeriesIndex () const
void | setImageSeriesIndex (uint16_t image_series_index)
float | getUserFloat (unsigned int index) const
void | setUserFloat (unsigned int index, float value)
int32_t | getUserInt (unsigned int index) const
void | setUserInt (unsigned int index, int32_t value)
uint64_t | getFlags () const
void | setFlags (const uint64_t flags)
bool | isFlagSet (const uint64_t val) const
void | setFlag (const uint64_t val)
void | clearFlag (const uint64_t val)
void | clearAllFlags ()
ImageHeader & | getHead ()
const ImageHeader & | getHead () const
void | setHead (const ImageHeader &head)
void | getAttributeString (std::string &attr) const
const char * | getAttributeString () const
void | setAttributeString (const std::string &attr)
void | setAttributeString (const char *attr)
size_t | getAttributeStringLength () const
T * | getDataPtr ()
const T * | getDataPtr () const
size_t | getNumberOfDataElements () const
size_t | getDataSize () const
T * | begin ()
T * | end ()
T & | operator() (uint16_t x, uint16_t y=0, uint16_t z=0, uint16_t channel=0)

## Protected Attributes
ISMRMRD_Image | im

## Friends
class | Dataset

## Detailed Description

template<typename T>
class ISMRMRD::Image< T >

MR Image type.

## Member Function Documentation

## ◆ begin()

template<typename T>

T * ISMRMRD::Image< T >::begin | ( |  | ) |

Returns iterator to the beginning of the image data

## ◆ end()

template<typename T>

T * ISMRMRD::Image< T >::end | ( |  | ) |

Returns iterator to the end of the image data

## ◆ getDataSize()

template<typename T>

size_t ISMRMRD::Image< T >::getDataSize | ( |  | ) | const

Returns the size of the image data in bytes

## ◆ getNumberOfDataElements()

template<typename T>

size_t ISMRMRD::Image< T >::getNumberOfDataElements | ( |  | ) | const

Returns the number of elements in the image data

## ◆ operator()()

template<typename T>

T & ISMRMRD::Image< T >::operator() | ( | uint16_t | x,
|  | uint16_t | y = 0,
|  | uint16_t | z = 0,
|  | uint16_t | channel = 0 )

Returns a reference to the image data

The documentation for this class was generated from the following files:

- ismrmrd.h
- ismrmrd.cpp